Open Bug 1302613 Opened 3 years ago Updated 17 days ago

Intermittent dom/media/test/test_paused_after_ended.html | Test timed out.

Categories

(Core :: Audio/Video: Playback, defect, P5)

x86_64
Windows 10
defect

Tracking

()

REOPENED
Tracking Status
firefox50 --- unaffected
firefox51 --- affected
firefox52 --- affected

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Depends on 1 open bug)

Details

(Keywords: bulk-close-intermittents, intermittent-failure)

Attachments

(1 file)

Component: Audio/Video → Audio/Video: Playback
Attachment #8801668 - Flags: review?(bechen)
Comment on attachment 8801668 [details]
Bug 1302613 - add elements to the document so we can print debugging info when the test case times out.

https://reviewboard.mozilla.org/r/86344/#review85358
Attachment #8801668 - Flags: review?(bechen) → review+
Thanks!
Assignee: nobody → jwwang
Pushed by jwwang@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/281d252a664f
add elements to the document so we can print debugging info when the test case times out. r=bechen
https://hg.mozilla.org/mozilla-central/rev/281d252a664f
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla52
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
See Also: → 1302612, 1302614
Target Milestone: mozilla52 → ---
Recent failure log after the patch from this bug landed:
https://treeherder.mozilla.org/logviewer.html#?job_id=5246441&repo=autoland
Forgot to put "leave-open" because the patch is not a fix but some debug aids...
Status: REOPENED → RESOLVED
Closed: 3 years ago3 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
(In reply to OrangeFactor Robot from comment #13)
> 2 failures in 947 pushes (0.002 failures/push) were associated with this bug
> in the last 7 days.    
> 
> Repository breakdown:
> * mozilla-central: 1
> * autoland: 1
> 
> Platform breakdown:
> * windows10-64: 2
> 
> For more details, see:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1302613&startday=2017-10-09&endday=2017-10-15&tree=all

Windows 10 timeout.
Depends on: 1407553
OS: Unspecified → Windows 10
Hardware: Unspecified → x86_64
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 3 years ago2 years ago
Resolution: --- → INCOMPLETE
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 2 years agoLast year
Resolution: --- → INCOMPLETE
Fail reappeared on autoland

Log link: https://treeherder.mozilla.org/logviewer.html#?job_id=195352902&repo=autoland&lineNumber=2367
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Status: REOPENED → RESOLVED
Closed: Last year11 months ago
Resolution: --- → INCOMPLETE

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=255713245&repo=autoland&lineNumber=2610

13:21:38 INFO - TEST-START | dom/media/test/test_paused_after_ended.html
13:24:40 INFO - TEST-INFO | started process screenshot
13:24:40 INFO - TEST-INFO | screenshot: exit 0
13:24:40 INFO - Buffered messages logged at 13:21:38
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | A valid string reason is expected
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | Reason cannot be empty
13:24:40 INFO - Started Wed Jul 10 2019 13:21:38 GMT+0000 (Greenwich Mean Time) (1562764898.851s)
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | [started small-shot.ogg-0 t=0.013] Length of array should match number of running tests
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | small-shot.ogg must be paused at start
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | small-shot.ogg must not be paused after play
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | [started small-shot.m4a-1 t=0.015] Length of array should match number of running tests
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | small-shot.m4a must be paused at start
13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | small-shot.m4a must not be paused after play

13:24:40 INFO - TEST-PASS | dom/media/test/test_paused_after_ended.html | r11025_u8_c1.wav must not be paused after play
13:24:40 INFO - Buffered messages finished
13:24:40 INFO - TEST-UNEXPECTED-FAIL | dom/media/test/test_paused_after_ended.html | Test timed out!
13:24:40 INFO - SimpleTest.ok@SimpleTest/SimpleTest.js:275:18
13:24:40 INFO - onTimeout@dom/media/test/manifest.js:1759:7
13:24:40 INFO - setTimeout handlerMediaTestManager/this.started@dom/media/test/manifest.js:1766:57
13:24:40 INFO - startTest@dom/media/test/test_paused_after_ended.html:34:11
13:24:40 INFO - MediaTestManager/this.nextTest@dom/media/test/manifest.js:1815:12
13:24:40 INFO - MediaTestManager/this.finished@dom/media/test/manifest.js:1794:12
13:24:40 INFO - ended@dom/media/test/test_paused_after_ended.html:20:11
13:24:40 INFO - EventListener.handleEvent
startTest@dom/media/test/test_paused_after_ended.html:45:5
13:24:40 INFO - MediaTestManager/this.nextTest@dom/media/test/manifest.js:1815:12
13:24:40 INFO - MediaTestManager/this.finished@dom/media/test/manifest.js:1794:12
13:24:40 INFO - ended@dom/media/test/test_paused_after_ended.html:20:11
13:24:40 INFO - EventListener.handleEventstartTest@dom/media/test/test_paused_after_ended.html:45:5
13:24:40 INFO - MediaTestManager/this.nextTest@dom/media/test/manifest.js:1815:12
13:24:40 INFO - MediaTestManager/this.finished@dom/media/test/manifest.js:1794:12
13:24:40 INFO - ended@dom/media/test/test_paused_after_ended.html:20:11
13:24:40 INFO - EventListener.handleEvent
startTest@dom/media/test/test_paused_after_ended.html:45:5
13:24:40 INFO - MediaTestManager/this.nextTest@dom/media/test/manifest.js:1815:12
13:24:40 INFO - MediaTestManager/this.finished@dom/media/test/manifest.js:1794:12
13:24:40 INFO - ended@dom/media/test/test_paused_after_ended.html:20:11
13:24:40 INFO - EventListener.handleEventstartTest@dom/media/test/test_paused_after_ended.html:45:5
13:24:40 INFO - MediaTestManager/this.nextTest@dom/media/test/manifest.js:1815:12
13:24:40 INFO - MediaTestManager/this.finished@dom/media/test/manifest.js:1794:12
13:24:40 INFO - ended@dom/media/test/test_paused_after_ended.html:20:11
13:24:40 INFO - EventListener.handleEvent
startTest@dom/media/test/test_paused_after_ended.html:45:5
13:24:40 INFO - MediaTestManager/this.nextTest@dom/media/test/manifest.js:1815:12
13:24:40 INFO - MediaTestManager/this.runTests/<@dom/media/test/manifest.js:1735:12
13:24:40 INFO - Async*MediaTestManager/this.runTests@dom/media/test/manifest.js:1734:19
13:24:40 INFO - @dom/media/test/test_paused_after_ended.html:48:9
13:24:40 INFO - flac-s24.flac-11 timed out!
13:24:40 INFO - GECKO(6920) | JavaScript error: http://mochi.test:8888/tests/dom/media/test/manifest.js, line 1859: TypeError: v.mozDumpDebugInfo is not a function
13:24:40 INFO - Not taking screenshot here: see the one that was previously logged
13:24:40 INFO - TEST-UNEXPECTED-FAIL | dom/media/test/test_paused_after_ended.html | Test timed out!

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Assignee: suro001 → nobody
Status: REOPENED → RESOLVED
Closed: 11 months ago4 months ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
You need to log in before you can comment on or make changes to this bug.